Skip to content
Uranus Docs
Esc
↑↓navigate↵open⌘Jpreview

Get choosable legal forms

Returns all legal forms that can be selected for an organization.

Names and descriptions are localized according to the requested ISO 639-1 language code.

GET/api/choosable-legal-forms
Query parameters
langstring

ISO 639-1 language code. Defaults to English.

min length 2 · max length 2 · default: "en"
Responses
200

Legal forms found.

servicestringrequired

Name of the API service.

api_versionstringrequired

API version.

response_typestringrequired

Identifier of the response type.

statusintegerrequired

HTTP status code of the response.

Allowed:200
timestampstring<date-time>required

Time at which the response was generated.

metadataGetChoosableLegalForms.ChoosableLegalFormsMetadata

Metadata returned by the choosable legal forms endpoint.

Show properties
languagestring

ISO 639-1 language code used for localization.

legal_form_countinteger

Number of returned legal forms.

min 0
response_time_msinteger

Server-side response time in milliseconds.

min 0
dataGetChoosableLegalForms.LegalForm[]required

List of available legal forms.

Show properties
Array of GetChoosableLegalForms.LegalForm
keystringrequired

Internal identifier of the legal form.

namestring | anyrequired

Localized name of the legal form.

Show properties
Any of:
string
string
any
any
descriptionstring | anyrequired

Optional localized description of the legal form.

Show properties
Any of:
string
string
any
any
messagestring

Human-readable response message.

404

No legal forms found.

servicestringrequired

Name of the API service.

api_versionstringrequired

API version.

response_typestringrequired

Identifier of the response type.

statusintegerrequired

HTTP status code of the response.

Allowed:404
timestampstring<date-time>required

Time at which the response was generated.

metadataGetChoosableLegalForms.ChoosableLegalFormsMetadata

Metadata returned by the choosable legal forms endpoint.

Show properties
languagestring

ISO 639-1 language code used for localization.

legal_form_countinteger

Number of returned legal forms.

min 0
response_time_msinteger

Server-side response time in milliseconds.

min 0
dataany

Response payload.

Show properties
Any of:
any
any
any
any
messagestring

Human-readable response message.

500

Internal server error.

servicestringrequired

Name of the API service.

api_versionstringrequired

API version.

response_typestringrequired

Identifier of the response type.

statusintegerrequired

HTTP status code of the response.

Allowed:500
timestampstring<date-time>required

Time at which the response was generated.

metadataGetChoosableLegalForms.ChoosableLegalFormsMetadata

Metadata returned by the choosable legal forms endpoint.

Show properties
languagestring

ISO 639-1 language code used for localization.

legal_form_countinteger

Number of returned legal forms.

min 0
response_time_msinteger

Server-side response time in milliseconds.

min 0
dataany

Response payload.

Show properties
Any of:
any
any
any
any
messagestring

Human-readable response message.

Try it
Server
Parameters
Request
curl -X GET "https://api.kulturbytes.de/api/choosable-legal-forms"
Response
{
  "service": "Uranus API",
  "api_version": "1.0",
  "response_type": "get-choosable-legal-forms",
  "status": 200,
  "timestamp": "2026-09-20T09:29:04Z",
  "metadata": {
    "language": "en",
    "legal_form_count": 15,
    "response_time_ms": 19
  },
  "data": [
    {
      "key": "civil_law_partnership",
      "name": "Civil-law Partnership",
      "description": null
    },
    {
      "key": "foundation",
      "name": "Foundation",
      "description": null
    },
    {
      "key": "general_partnership",
      "name": "General Partnership",
      "description": null
    },
    {
      "key": "independent_operator",
      "name": "Independently operated",
      "description": null
    },
    {
      "key": "initiative",
      "name": "Initiative",
      "description": null
    },
    {
      "key": "limited",
      "name": "Limited",
      "description": null
    },
    {
      "key": "limited_partnership",
      "name": "Limited Partnership",
      "description": null
    },
    {
      "key": "municipal_administration",
      "name": "Municipal administration",
      "description": null
    },
    {
      "key": "municipal_facility",
      "name": "Municipal facility",
      "description": null
    },
    {
      "key": "non_profit_limited_liability_company",
      "name": "Non-profit Limited Liability Company",
      "description": null
    },
    {
      "key": "not_specified",
      "name": "Not specified",
      "description": null
    },
    {
      "key": "public_law_institution",
      "name": "Public-law Institution",
      "description": null
    },
    {
      "key": "registered_association",
      "name": "Registered association",
      "description": null
    },
    {
      "key": "registered_cooperative",
      "name": "Registered Cooperative",
      "description": null
    },
    {
      "key": "stock_corporation",
      "name": "Stock Corporation / Joint-stock Company",
      "description": null
    }
  ]
}